Introduction

WinConverter is a rather straightforward application designs to provide as simple an interface as possible for performing conversion.
WinConverter is pre-configurated to convert over 1200 units in 50 categories.

The categories include:
Acceleration, Angle, Area, Capacitance, Charge, Concentration Molar, Conductance, Current, Data Storage, Data Transfer, Density, Digital Image Resolution, Energy, EU Currency, Flow, Flow - Mass, Flow - Molar, Force, Frequency Wavelength, Fuel Efficiency, HVAC Efficiency, Illumination, Inductance, Latent Heat, Length, Luminance, Mass, Numbers, Permeability, Power, Pressure, Radiation, Radiation - Absorbed Dose, Radiation - Activity, Radiation - Exposure, Specific Heat, Temperature, Temperature Interval, Thermal Conductivity, Thermal Expansion, Time, Torque, Typography, Velocity, Velocity - Angular, Viscosity - Dynamic, Viscosity - Kinematic, Volume, Volume - Dry and Volume - Lumber.

If you find WinConverter is missing a unit you need, it's very easy to add own custom units or own custom categories.

Thanks for taking the time to try this program. Please remember that WinConverter is not freeware, but it's shareware. If you find this software useful for you, please register.


The Main Window

The main WinConverter window contains the bulk of the application' functionality. Units are sorted by categories and individual units from the currently selected category are displayed in the two main selection boxes. In the top of main window there are the main menu and the toolbar of WinConverter.

Converting data

  1. Select the category of unit
  2. Select the unit you are converting from (the left list)
  3. Select the unit you are converting to (the right list)
  4. Enter the data in the "Quantity to convert" field
  5. The answer will appear in the "Result of conversion" field immediately


About Records

What is record?
Record is list of conversions that you can create according to your demand. You don't have to copy manually the needful data from your monitor. It is simpler, create the record with needful data and then it print via windows clipboard in your favorite word processor (Notepad, MS Word...).

What is record like?
Example:

2A hexadecimal = 42 decimal
1 yard = 0,9144 meter
1 foot = 0,3048 meter
1 kilobyte = 1024 byte
1 modem (56k) = 7000 byte/second
1 T3 (signal) = 5,592 megabyte/second (SI def.)

How can I use the records?
You can use the record function by the help of WinConverter mainmenu, Recordbar or shortcuts.

How can I add new item?
There are two alternatives. You can add every item manually. I comes to this, that you choose needful conversion and then you have to press the Add button or Record|Add Item. Alternatively you can run the record (Record button or Record|Record), then you will add the new item always when you press <enter>. This way is faster and more comfortable.

How can I get to know what is inside the record?
Shift cursor of your mouse on the Record button. There will be display the hint with content of the record.

Recordbar

Add ItemRemove Last ItemDelete All ItemsCopy ConversionCopy All ConversionsCopy Record to the Windows ClipboardStart or Stop Recording

Add Item (Ctrl+A)

The actual conversion will be added at the end of the record.

Remove Last Item (Ctrl+M)

The last added conversion will be deleted from the record.

Delete All Items (Ctrl+D)

Delete all conversions from the record. The record will be empty.

Copy Conversion to Clipboard (Ctrl+Shift+C)

The actual conversion will be inserted into the windows clipboard.

Copy All Conversions to Clipboard (Ctrl+L)

Convert the actual input value into every unit in actual category and copy results to the windows clipboard.

Example for 30° Celsius (category - Temperature):

30° Celsius = 303,15° Kelvin
30° Celsius = 30° Celsius
30° Celsius = 86° Fahrenheit
30° Celsius = 545,67° Rankine
30° Celsius = 24° Réaumur

Copy Record to Clipboard (Ctrl+O)

The record will be inserted into the windows clipboard.

Record (Ctrl+R)

Activate or deactivate the record function. If it is activated, the actual conversion will be added at the end of the record always when you press >enter<. It is faster and more comfortable than using the Add item button.


The Main menu

The Action menu

Invert Conversion (Ctrl+I)

Switch the selected units. And if you have checked "Swop Value by Invert Conversion" in Preferences then switch the conversion values, too.

Clear Input Field (Ctrl+Del)

Erases the "Quantity of Conversion" field.

Clear Conversion Memory

Clears the last-converted values and units from each category.

Preferences

Displays the Preferences dialog. It contain all the settings of WinConverter.

Find (Ctrl+F)

Displays the Find dialog. In this dialog you can search out unit or category, which you need.

Exit

Closes the WinConverter program.

The Edit menu

Cut (Ctrl+X)

Cuts the selected text to the windows clipboard.

Copy (Ctrl+C)

Copy the selected text to the windows clipboard.

Paste (Ctrl+V)

Pastes text from the windows clipboard into the "Quantity of Conversion" field.

Select all

Select all the text in a control that has focus.

The Record menu

Record (Ctrl+R)

Activate or deactivate the record function. If it is activated, the actual conversion will be added at the end of the record always when you press >enter<. It is faster and more comfortable than using the Add item button.

Add Item (Ctrl+A)

The actual conversion will be added at the end of the record.

Remove Last Item (Ctrl+M)

The last added conversion will be deleted from the record.

Delete All Items (Ctrl+D)

Delete all conversions from the record. The record will be empty.

Copy Conversion (Ctrl+Shift+C)

The actual conversion will be inserted into the windows clipboard.

Copy All Conversions (Ctrl+L)

Convert the actual input value into every unit in actual category and copy results to the windows clipboard.

Copy Record (Ctrl+O)

The record will be inserted into the windows clipboard.

more about records...

The View menu

Units

Displays the Custom Units dialog. In this dialog you can add, modify or remove the custom units.

Categories

Displays the Custom Categories dialog. In this dialog you can add, modify or remove the custom categories.

Registration

Displays the Registration dialog. If you find this program useful, please support the shareware software concept by registering! When you register, you will receive registration number. As soon as fill it in the box in this dialog, the registration screen will be disabled. More information about registration here.

Show All Results

If enabled, all conversion results will be displayed simultaneously in the Convert to unit field.

Toolbar

Shows or hides Toolbar.

Recordbar

Shows or hides Recordbar.

The Help menu

Help Topics (F1)

Displays the help of WinConverter.

How to Register

More information about how to register.

Calculator (F12)

Launches the default Windows calculator or your favorite calculator program. It depend on your choice in WinConverter Preferences.

Metric Prefixes

Displays the Metric Prefixes (part of WinConverter Help).

About

Displays the About dialog. There are information about WinConverter and its version.


Find dialog

Input field

Type all or part of a Unit or a Category Name that you search.

Possible Matches

This box displays all the possible matches for your search expression..

Search Style

Search Entire Strings - Every unit or category, that has the search expression anywhere in name, will be match.
Search Start of Strings Only - Every unit or category, that has the search expression somewhere in the beginning of name, will be match.

Go button

Select the name of category or unit and press Go button. WinConverter will set your required category or unit in Main Window and will highlight it.


Preferences

This dialog contains all the settings of WinConverter.

  • General
  • Result Format
  • Fonts
  • Sorting

General

Environment

Show Toolbar

Displays the Toolbar

Show Recordbar

Displays the Recordbar.

Show Category Selection Index Tabs

Show the Category Selection Index Tabs. You can change category them.

Operation

Swop Value by Invert Conversion

By Invert Conversion switch not only the selected units but the conversion values, too.

Show All Results

If enabled, all conversion results will be displayed simultaneously in the Convert to unit field.

Calculator program

Specify what calculator program will launch when you use the Calculator button on Toolbar or the Help | Calculator. If you can use the standard Windows calculator then choose the Default Windows Calculator. If you have other favorite calculator program then choose the Other Calculator and specify the path.

Result format

Result number format

Specify which number format will be used for the result in the Result of Conversion field.

Format

Description

AutoFormat | The value is converted to the shortest possible decimal string using fixed or scientific format. Trailing zeros are removed from the resulting string, and a decimal point appears only if necessary. The resulting string uses fixed point format if the number of digits to the left of the decimal point in the value is less than or equal to the specified precision, and if the value is greater than or equal to 0.00001. Otherwise the resulting string uses scientific format.
Scientific | The value is converted to a string of the form "-d.ddd...E+ddd". The resulting string starts with a minus sign if the number is negative. One digit always precedes the decimal point.
Fixed | The value is converted to a string of the form "-ddd.ddd...". The resulting string starts with a minus sign if the number is negative. The number of digits after the decimal point is given by the value of Decimal Places to Display in Result.
Fixed with Thousand Separators | The value is converted to a string of the form "-d,ddd,ddd.ddd...". The Fixed with Thousand Separators format corresponds to the Fixed format, except that the resulting string contains thousand separators.
Decimal Places to Display in Result

The number of digits after the decimal point. Available only for scientific, fixed and fixed with thousand separators formats.

Fonts

Font - Text Field and Lists

Changes the attributes of font, that will be used for text field and lists.

Font - Category Selection Index Tabs

Changes the attributes of font, that will be used for category selection index tabs.

Font - Default

Reset all the fonts back to the default.

Sorting

Sort units in Alphabetical Order

All units in boxes will be sorted in alphabetical order. If not checked, the units will be sorted in logical groups. It is analogy as the Sort button on Toolbar.

Sort Categories in Alphabetical Order

If checked, the categories will be sorted in alphabetical order. If not checked, you can define the category order.
Use the Up and the Down buttons to move the selected category up and down in the list. The Sort button will sort categories in a alphabetical order and the Reset button will sort categories in previous order.


Expressions

WinConverter supports the use of expressions. An expression is a value that contains any mathematical operators.
When you input a value into the "Quantity of conversion"field, you can use this expression. The expression is evaluated before WinConverter does the conversion.
You can use these mathematical operators:

Operator | Meaning
+ | Add two numbers
- | Subtract two numbers
* | Multiply two numbers
/ | Divide two number
^ | Raise a number to a power
( ) | Forces the expression within the parentheses to be processed first, overriding standard order-of-operation
You can also use the number in scientific format.

Example:

3 + 4 6 - 3 5.8 * 9 45 / 3 2.2^5
(45 + 6) * (45 - (45^2))
4e-6 * 4.12E9


Custom Category

Custom Categories dialog

WinConverter allows you to add your custom categories You can add, modify or remove your custom categories in this dialog.

Add button

Displays the Add Custom Category dialog, where you can add a new custom category.

Fill in only a name of new category. You must choose a unique name.

Rename button

Displays the Rename Custom Category dialog, where you can rename the selected category. This dialog is analogical as the Add Custom Category dialog.

Remove button

Removes the selected custom category.

Units button

Displays the Custom units dialog, where you can manage units of the selected category.


Custom Units

Custom Units dialog

WinConverter allows you to add units to the predefined categories or to your custom categories. You can add, modify or remove your custom units in this dialog.

The name of the category which units you can modify

Choose the name of the category which units you can modify.

Add button

Displays the Add custom unit dialog, where you can add a new custom unit to the selected category.

Example: You can add the unit Maxwell. You know - one Maxwell is equal to 1E-8 volt second.

  1. In the "Name of Unit" field type Maxwell.
  2. In the "One of These Units is Equal to" type 1E-8.
    (You can also enter an expression 10*10^7.)
  3. Choose volt second from the list and press OK.

Modify button

Displays the Modify custom unit dialog, where you can modify the selected unit. This dialog is very similar to Add custom unit dialog and operates analogous.

Remove button

Removes the selected unit from category.


Metric prefixes

 | Multiplication Factors | Prefix | Symbol
1E+24 | 1,000,000,000,000,000,000,000,000 | yotta | Y
1E+21 | 1,000,000,000,000,000,000,000 | zetta | Z
1E+18 | 1,000,000,000,000,000,000 | exa | E
1E+15 | 1,000,000,000,000,000 | peta | P
1E+12 | 1,000,000,000,000 | tera | T
1E+9 | 1,000,000,000 | giga | G
1E+6 | 1,000,000 | mega | M
1E+3 | 1,000 | kilo | k
1E+2 | 100 | hecto | h
1E+1 | 10 | deka | da
1E+0 | 1 | - | -
1E-1 | 0.1 | deci | d
1E-2 | 0.01 | centi | c
1E-3 | 0.001 | milli | m
1E-6 | 0.000 001 | micro |
1E-9 | 0.000 000 001 | nano | n
1E-12 | 0.000 000 000 001 | pico | p
1E-15 | 0.000 000 000 000 001 | femto | f
1E-18 | 0.000 000 000 000 000 001 | atto | a
1E-21 | 0.000 000 000 000 000 000 001 | zepto | z
1E-24 | 0.000 000 000 000 000 000 000 001 | yocto | y


What is Shareware?

Shareware lets you try a program for a period of time before you buy it. Since you've tried a shareware program, you know whether it will meet your needs before you pay for it. If you use this program for a longer time than the specified trial period, you are expected to register it. A licensed version of this product includes the permanent right to use the product for an unlimited time. The licensed version also disables the registration screen when starting the program.

The evalution period for this software is 30 days. After this period you must register or delete the program from your hard disk.


How to register?

If you like the program and can afford the $12 please buy it. We have spent a lot of time on this program and more money makes it easier to continue the development of WinConverter!

When you register, you'll receive a registration code via e-mail. Fill in this registration code into View | Registration... form and the opening wait screen will not appear.

Price: 12 US$

More information about how to buy:
http://www.volny.cz/onemir/register.html.

If you would like to purchase a license for WinConverter, you can order
on-line at:

https://secure.element5.com/shareit/checkout.html?productid=152905&language=English

Or you can go to http://www.shareit.com and enter the program ID number
152905 in the search window at the bottom left of the screen.

We also accept orders via email at: support@shareit.com

If you are not yet on-line, you can place your order with our customer
service team by phone, fax or postal mail.

Please print out the form, and fax or mail it to:

ShareIt!
element 5 AG
Vogelsanger Str. 78
50823 Cologne
Germany

Phone: +49-221-31088-20
Fax: +49-221-31088-29
E-Mail: support@shareit.com

US and Canadian customers may also order by calling toll-free
1-800-903-4152.

This hotline is only for ordering. ShareIt! cannot provide any
technical assistance or technical information about the program. You must
contact us directly for technical support at:
support.onemir@atlas.cz

US check and cash orders can be sent to our US office at:
ShareIt! Inc.
P.O. Box 844
Greensburg, PA 15601, USA
Phone: (724) 850 - 8186
Fax: (724) 850 - 8187

*** ALL CHECKS SENT TO THE U.S. OFFICE MUST BE MADE
PAYABLE TO: "ShareIt! Inc." ***


Registration Form for WinConverter

Program-ID :

Last Name:
_______________________________________

First Name:
_______________________________________

Company:
_______________________________________

VAI-ID-No. (if applicable)
_______________________________________

Address:
_______________________________________

Postal Code and City:
_______________________________________

Country:
_______________________________________

Phone:
_______________________________________

Fax:
_______________________________________

E-Mail - Important information such as a license key for your software will be sent to you by email. Be advised that we do not accept email addresses from freemail-services like hotmail.com for credit card purchases:
_______________________________________

How would you like to pay the registration fee:

credit card - wire transfer - check - cash

Credit Card Information (if applicable)

Credit Cards: Visa - Eurocard/Mastercard - American Express - Diners Club

Card Holder: ________________________________

Card No.: ___________________________________

Expiration Date: ________

Date / Signature: ___________________________


WinConverter license

The WinConverter is shareware. This means:

  1. All copyrights to WinConverter are exclusively owned by OneMir.
  2. Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use WinConverter, you MUST register.
  3. The WinConverter unregistered shareware version, may be freely distributed, provided the distribution package is not modified. No person or company are not allowed to sell the unregistered version (except for shipment and handling charges).
  4. WinConverter is distributed "as is". No warranty of any kind is expressed or implied. You use at your own risk. The author will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software. It is recommended that any mission-critical calculations be verified.
  5. Installing and using WinConverter signifies acceptance of these terms and conditions of the license.
  6. If you do not agree with the terms of this license you must remove WinConverter files from your storage devices and cease to use the product.

Copyright © 2000-2002 by OneMir
ALL RIGHTS RESERVED


Contact

web side

www.volny.cz/onemir/
www.onemir.com

e-mail address

technical support | support.onemir@atlas.cz
other | onemir@atlas.cz


Untitled Document

Category Selector

It allows you to change the unit category. You can also change the category, if you use the category selection tabs in the lower portion of the main window or if you right-click on the boxes of the units.

Invert Conversion

Switch the selected units. And if you have checked "Swop Value by Invert Conversion" in Preferences then switch the conversion values, too.

Custom Units

Displays the Custom Units dialog. In this dialog you can add, modify or remove the custom units.

Custom Categories

Displays the Custom Categories dialog. In this dialog you can add, modify or remove the custom categories.

Cut

Cuts the selected text to the windows clipboard.

Copy

Copy the selected text to the windows clipboard.

Paste

Pastes text from the windows clipboard into the "Quantity of Conversion" field.

Find

Displays the Find dialog. In this dialog you can search out unit or category, which you need.

Preferences

Displays the Preferences dialog. It contains all the settings of WinConverter.

Show All Results

If enabled, all conversion results will be displayed simultaneously in the Convert to unit field.

Sort Units

If enabled, will sort the units in alphabetical order. If is not enabled, will sort the units in logical groups. The equal setting contains the Preferences dialog.

Calculator

Launches the default Windows calculator or your favorite calculator program. It depend on your choice in WinConverter Preferences.

Help

Displays the help of WinConverter.


The Toolbar

HelpRun Calculator ProgramSort Units in Alphabetical OrderPreferencesFind Unit or CategoryPasteCopyCutCustom CategoryCustom UnitInvert ConversionCategory SelectorShow All Results